package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPpeMatrixMapper;
import com.ruoyi.project.production.domain.TPpeMatrix;
import com.ruoyi.project.production.service.ITPpeMatrixService;

/**
 * ppe矩阵管理Service业务层处理
 *
 * @author ssy
 * @date 2023-12-11
 */
@Service
public class TPpeMatrixServiceImpl implements ITPpeMatrixService
{
    @Autowired
    private TPpeMatrixMapper tPpeMatrixMapper;

    /**
     * 查询ppe矩阵管理
     *
     * @param id ppe矩阵管理ID
     * @return ppe矩阵管理
     */
    @Override
    public TPpeMatrix selectTPpeMatrixById(Long id)
    {
        return tPpeMatrixMapper.selectTPpeMatrixById(id);
    }

    /**
     * 查询ppe矩阵管理列表
     *
     * @param tPpeMatrix ppe矩阵管理
     * @return ppe矩阵管理
     */
    @Override
    public List<TPpeMatrix> selectTPpeMatrixList(TPpeMatrix tPpeMatrix)
    {
        return tPpeMatrixMapper.selectTPpeMatrixList(tPpeMatrix);
    }

    /**
     * 新增ppe矩阵管理
     *
     * @param tPpeMatrix ppe矩阵管理
     * @return 结果
     */
    @Override
    public int insertTPpeMatrix(TPpeMatrix tPpeMatrix)
    {
        return tPpeMatrixMapper.insertTPpeMatrix(tPpeMatrix);
    }

    /**
     * 修改ppe矩阵管理
     *
     * @param tPpeMatrix ppe矩阵管理
     * @return 结果
     */
    @Override
    public int updateTPpeMatrix(TPpeMatrix tPpeMatrix)
    {
        return tPpeMatrixMapper.updateTPpeMatrix(tPpeMatrix);
    }

    /**
     * 批量删除ppe矩阵管理
     *
     * @param ids 需要删除的ppe矩阵管理ID
     * @return 结果
     */
    @Override
    public int deleteTPpeMatrixByIds(Long[] ids)
    {
        return tPpeMatrixMapper.deleteTPpeMatrixByIds(ids);
    }

    /**
     * 删除ppe矩阵管理信息
     *
     * @param id ppe矩阵管理ID
     * @return 结果
     */
    @Override
    public int deleteTPpeMatrixById(Long id)
    {
        return tPpeMatrixMapper.deleteTPpeMatrixById(id);
    }
}
